local function GetDapperness(self, owner)
    local dapperness = self.dapperness
    
    if self.dapperfn then
        dapperness = self.dapperfn(self.inst, owner)
    end

    
    if compatible.isWet(self.inst) then
        dapperness = dapperness + TUNING.WET_ITEM_DAPPERNESS
    end

    if owner.components.sanity and owner.components.sanity.moisture_mult then
    	return dapperness * owner.components.sanity.moisture_mult
    end

    return dapperness
end

function fn(self)
	self.GetDapperness = GetDapperness
end

return fn
